Skip to main content
GET
/
v0
/
business
/
{business_id}
/
document
List all Documents for a Business
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/document \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "business_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "file_size": 123,
      "external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "task_id": "tsk_R2fAXCjqJPdpYata112zyW",
      "external_id": "gusto-payroll-abc123",
      "metadata_": {},
      "journal_entry_ids": "je_R2fAXCjqJPdpYata112zyW",
      "external_account_ids": "eac_R2fAXCjqJPdpYata112zyW",
      "transaction_ids": "txn_R2fAXCjqJPdpYata112zyW",
      "bill_id": "bil_R2fAXCjqJPdpYata112zyW"
    }
  ],
  "pagination": {
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getasset.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Query Parameters

document_type
enum<string> | null

Include only Documents with the given document_type

Available options:
receipt,
statement,
other,
payroll,
bill,
mileage
transaction_id
string<txn_string> | null

Include only Documents that have the given transaction_id

start_datetime
string<date-time> | null

Include documents after this period (inclusive) in ISO-8601 format

Example:

"2025-01-01T00:00:00Z"

end_datetime
string<date-time> | null

Include documents before this period (inclusive) in ISO-8601 format

Example:

"2026-01-01T00:00:00Z"

page_token
string | null

The page token to for the next or previous page

page_size
integer
default:100
Required range: 1 <= x <= 100

Response

Successful Response

data
DocumentPublic · object[]
required
pagination
PaginationResponse · object
required